
From: Gerd Knorr <kraxel@bytesex.org>

Fix byteorder bug in the saa7134 driver.  With that ObviouslyCorrect[tm]
patch applied the driver reportly works on powerpc.

Signed-off-by: Gerd Knorr <kraxel@bytesex.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/media/video/saa7134/saa7134-core.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/media/video/saa7134/saa7134-core.c~v4l-saa7134-byteorder-fix drivers/media/video/saa7134/saa7134-core.c
--- 25/drivers/media/video/saa7134/saa7134-core.c~v4l-saa7134-byteorder-fix	2005-05-11 20:02:05.000000000 -0700
+++ 25-akpm/drivers/media/video/saa7134/saa7134-core.c	2005-05-11 20:02:05.000000000 -0700
@@ -340,7 +340,7 @@ int saa7134_pgtable_build(struct pci_dev
 	ptr = pt->cpu + startpage;
 	for (i = 0; i < length; i++, list++)
 		for (p = 0; p * 4096 < list->length; p++, ptr++)
-			*ptr = sg_dma_address(list) - list->offset;
+			*ptr = cpu_to_le32(sg_dma_address(list) - list->offset);
 	return 0;
 }
 
_
